/************************************************/
/*						*/
/*      Copyright:				*/
/*		 Jean-Marc Pigeon <jmp@safe.ca>	*/
/*	Distributed under the Gnu Public	*/
/*	License, see the License file in this	*/
/*	package.				*/
/*						*/
/*	Define module level routines to handle	*/
/*	ip number list and retreiving.		*/
/*						*/
/************************************************/
#ifndef UNINET
#define UNINET

typedef	struct {	/*IP/MASK def		*/
	u_int32_t ip;	/*HOST/NET IP address	*/
	int mask;	/*IP Network MASK	*/
	}IPTYP;

extern IPTYP **net_addiplst(IPTYP **iplst,char *info);
extern IPTYP **net_mkiplst(char **filelst,IPTYP **iplst,time_t lastload);
extern IPTYP **net_freeiplst(IPTYP **iplst);
extern int net_isiniplst(IPTYP **iplst,char *iporgn);
#endif
