/************************************************/
/*						*/
/*      Copyright:				*/
/*		 Jean-Marc Pigeon <jmp@safe.ca>	*/
/*	Distributed under the Gnu Public	*/
/*	License, see the License file in this	*/
/*	package.				*/
/*						*/
/*	Define module level routines to handle	*/
/*	Protocol exchange with remote site.	*/
/*						*/
/************************************************/
#ifndef MODTRA
#define MODTRA
#include	"unidev.h"
#include	"gesipc.h"
#include	"gesclm.h"
#include	"lvleml.h"

typedef	struct	{
	BOXTYP *boxe;	/*IPC reference		*/
	CLAMTYP *clam;	/*CLAMAV lib reference	*/
	char *chkidsrv;	/*user check-id server	*/
	char *chkidmod;	/*check-id check mode	*/
	}TRATYP;

extern int tra_tracking(TRATYP *track,LSTTYP *channel);
#endif
