/************************************************/
/*						*/
/*      Copyright:				*/
/*		 Jean-Marc Pigeon <jmp@safe.ca>	*/
/*	Distributed under the Gnu Public	*/
/*	License, see the License file in this	*/
/*	package.				*/
/*						*/
/*	Define low level routine to access	*/
/*	shared Memory				*/
/*						*/
/************************************************/
#ifndef UNIIPC
#define UNIIPC
#include	<stdlib.h>

typedef	struct timespec TIMESPEC;

extern void *ipc_getshrmem(size_t nmemb,size_t size);
extern void *ipc_dropshrmem(void *ptr);
extern int ipc_getshraccess(void *ptr,TIMESPEC *timeout);
extern int ipc_dropshraccess(void *ptr);
#endif
